Check if code point is permissible as the first character in a Java identifier

- « IntlChar::isJavaIDPart

- IntlChar::isJavaSpaceChar »

- PHP Manual
- IntlChar
- Check if code point is permissible as the first character in a Java identifier

# IntlChar::isJavaIDStart

(PHP 7, PHP 8)

IntlChar::isJavaIDStart — Check if code point is permissible as the first character in a Java identifier

### Description

public static IntlChar::isJavaIDStart(int|string `$codepoint`): ?bool

Determines if the specified character is permissible as the start of a Java identifier.

In addition to IntlChar::isIDStart(), `true` for characters with general categories "Sc" (currency symbols) and "Pc" (connecting punctuation).

### Parameters

`codepoint`

  The int codepoint value (e.g. `0x2603` for U+2603 SNOWMAN), or the character encoded as a UTF-8 string (e.g. `"\u{2603}"`)

### Return Values

Returns `true` if `codepoint` may start a Java identifier, `false` if not. Returns `null` on failure.

### Examples

Example #1 Testing different code points

    <?phpvar_dump(IntlChar::isJavaIDStart("A"));var_dump(IntlChar::isJavaIDStart("$"));var_dump(IntlChar::isJavaIDStart("\n"));var_dump(IntlChar::isJavaIDStart("\u{2603}"));?>

The above example will output:

    bool(true)
    bool(true)
    bool(false)
    bool(false)

### See Also

- IntlChar::isIDStart() - Check if code point is permissible as the first character in an identifier
- IntlChar::isJavaIDPart() - Check if code point is permissible in a Java identifier
- IntlChar::isalpha() - Check if code point is a letter character